GET
/v1/organizations/{organizationId}/audit-events/{auditEventId}Get an organization audit event
Authentication
Request
| Name | In | Required | Description |
|---|---|---|---|
x-request-id | header | No | Optional caller-supplied request correlation identifier. |
organizationId | path | Yes | No description declared. |
auditEventId | path | Yes | No description declared. |
cURL template
Replace path placeholders, the credential, and request body with values valid for your exact scope.
curl --request GET \
+ --url 'https://api.example.com/v1/organizations/{organizationId}/audit-events/{auditEventId}' \
+ -H 'Authorization: Bearer <token>'Responses
200
application/json
{
"$ref": "#/components/schemas/OrganizationAuditEventResponseDto",
"properties": {
"data": {
"$ref": "#/components/schemas/OrganizationAuditEventResponseDataDto",
"properties": {
"action": {
"enum": [
"tenant.organization.created",
"tenant.organization_membership.added",
"tenant.organization_membership.reactivated",
"tenant.organization_membership.removed",
"tenant.organization_invitation.created",
"tenant.organization_invitation.accepted",
"tenant.organization_invitation.declined",
"tenant.organization_invitation.revoked",
"tenant.organization_role.changed",
"tenant.application.created",
"tenant.application.settings_updated",
"tenant.application_environment.settings_updated",
"tenant.application_credential.issued",
"tenant.application_credential.rotated",
"tenant.application_credential.revoked",
"tenant.channel_type.created",
"tenant.channel_type.updated",
"tenant.channel_type.deactivated",
"tenant.channel_type.reactivated",
"tenant.webhook_endpoint.created",
"tenant.webhook_endpoint.updated",
"tenant.webhook_endpoint.deactivated",
"tenant.webhook_endpoint.reactivated",
"tenant.webhook_endpoint.deleted",
"tenant.webhook_endpoint.secret_rotated",
"tenant.webhook_endpoint.test_requested",
"tenant.webhook_delivery.replay_requested",
"tenant.webhook_endpoint.auto_paused",
"tenant.app_user.created",
"tenant.app_user.updated",
"tenant.app_user.deactivated",
"tenant.app_user.reactivated",
"tenant.app_user.tokens_revoked",
"tenant.device_registration.revoked",
"tenant.data_retention_policy.updated",
"tenant.data_lifecycle_job.requested",
"tenant.data_lifecycle_job.canceled",
"tenant.data_lifecycle_job.completed",
"tenant.data_lifecycle_job.failed",
"tenant.moderation_ban.upserted",
"tenant.moderation_ban.removed",
"tenant.moderation_blocklist.upserted",
"tenant.moderation_blocklist.removed",
"tenant.moderation_case.resolved"
],
"type": "string"
},
"actionVersion": {
"enum": [
1
],
"type": "number"
},
"actor": {
"$ref": "#/components/schemas/AuditEventActorResponseDto"
},
"id": {
"format": "uuid",
"type": "string"
},
"metadata": {
"$ref": "#/components/schemas/AuditEventMetadataResponseDto"
},
"occurredAt": {
"format": "date-time",
"type": "string"
},
"organizationId": {
"format": "uuid",
"type": "string"
},
"outcome": {
"enum": [
"success"
],
"type": "string"
},
"recordedAt": {
"format": "date-time",
"type": "string"
},
"requestId": {
"nullable": true,
"type": "string"
},
"resourceContext": {
"$ref": "#/components/schemas/AuditEventResourceContextResponseDto"
},
"schemaVersion": {
"enum": [
1
],
"type": "number"
},
"sourceComponent": {
"enum": [
"app-credentials",
"applications",
"channel-types",
"data-lifecycle",
"moderation",
"organizations",
"tenant-support",
"webhooks"
],
"type": "string"
},
"target": {
"$ref": "#/components/schemas/AuditEventTargetResponseDto"
}
},
"required": [
"id",
"schemaVersion",
"action",
"actionVersion",
"organizationId",
"resourceContext",
"actor",
"target",
"outcome",
"occurredAt",
"recordedAt",
"requestId",
"sourceComponent",
"metadata"
],
"type": "object"
},
"requestId": {
"type": "string"
}
},
"required": [
"data",
"requestId"
],
"type": "object"
}400
application/json
{
"$ref": "#/components/schemas/PublicErrorResponseDto",
"properties": {
"error": {
"$ref": "#/components/schemas/PublicErrorBodyDto",
"properties": {
"code": {
"enum": [
"validation_failed",
"authentication_failed",
"authentication_required",
"reauthentication_required",
"permission_denied",
"resource_not_found",
"idempotency_conflict",
"target_account_unavailable",
"organization_owner_removal_conflict",
"organization_owner_role_conflict",
"organization_role_conflict",
"membership_conflict",
"invitation_conflict",
"invitation_expired",
"application_name_conflict",
"application_settings_version_conflict",
"environment_settings_version_conflict",
"app_user_version_conflict",
"channel_type_conflict",
"channel_type_version_conflict",
"channel_type_limit_reached",
"channel_conflict",
"channel_version_conflict",
"channel_membership_conflict",
"channel_membership_version_conflict",
"channel_membership_limit_reached",
"message_conflict",
"message_version_conflict",
"channel_read_state_conflict",
"thread_reply_limit_reached",
"message_reaction_type_not_allowed",
"message_reaction_limit_reached",
"thread_read_state_conflict",
"credential_limit_reached",
"credential_lifecycle_conflict",
"device_registration_conflict",
"device_registration_version_conflict",
"device_registration_limit_reached",
"attachment_upload_incomplete",
"attachment_not_ready",
"attachment_limit_reached",
"moderation_relationship_limit_reached",
"moderation_blocklist_limit_reached",
"moderation_case_resolution_conflict",
"message_moderation_rejected",
"retention_policy_version_conflict",
"data_job_not_cancelable",
"data_job_not_ready",
"data_job_limit_exceeded",
"webhook_endpoint_conflict",
"webhook_endpoint_version_conflict",
"webhook_endpoint_limit_reached",
"webhook_destination_rejected",
"webhook_secret_rotation_conflict",
"webhook_delivery_not_replayable",
"conflict",
"rate_limit_exceeded",
"internal_error",
"service_unavailable"
],
"example": "service_unavailable",
"type": "string"
},
"details": {
"$ref": "#/components/schemas/PublicErrorDetailsDto"
},
"message": {
"example": "The service is temporarily unavailable.",
"type": "string"
},
"requestId": {
"example": "req_01J00000000000000000000000",
"type": "string"
}
},
"required": [
"code",
"message",
"requestId",
"details"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}401
application/json
{
"$ref": "#/components/schemas/PublicErrorResponseDto",
"properties": {
"error": {
"$ref": "#/components/schemas/PublicErrorBodyDto",
"properties": {
"code": {
"enum": [
"validation_failed",
"authentication_failed",
"authentication_required",
"reauthentication_required",
"permission_denied",
"resource_not_found",
"idempotency_conflict",
"target_account_unavailable",
"organization_owner_removal_conflict",
"organization_owner_role_conflict",
"organization_role_conflict",
"membership_conflict",
"invitation_conflict",
"invitation_expired",
"application_name_conflict",
"application_settings_version_conflict",
"environment_settings_version_conflict",
"app_user_version_conflict",
"channel_type_conflict",
"channel_type_version_conflict",
"channel_type_limit_reached",
"channel_conflict",
"channel_version_conflict",
"channel_membership_conflict",
"channel_membership_version_conflict",
"channel_membership_limit_reached",
"message_conflict",
"message_version_conflict",
"channel_read_state_conflict",
"thread_reply_limit_reached",
"message_reaction_type_not_allowed",
"message_reaction_limit_reached",
"thread_read_state_conflict",
"credential_limit_reached",
"credential_lifecycle_conflict",
"device_registration_conflict",
"device_registration_version_conflict",
"device_registration_limit_reached",
"attachment_upload_incomplete",
"attachment_not_ready",
"attachment_limit_reached",
"moderation_relationship_limit_reached",
"moderation_blocklist_limit_reached",
"moderation_case_resolution_conflict",
"message_moderation_rejected",
"retention_policy_version_conflict",
"data_job_not_cancelable",
"data_job_not_ready",
"data_job_limit_exceeded",
"webhook_endpoint_conflict",
"webhook_endpoint_version_conflict",
"webhook_endpoint_limit_reached",
"webhook_destination_rejected",
"webhook_secret_rotation_conflict",
"webhook_delivery_not_replayable",
"conflict",
"rate_limit_exceeded",
"internal_error",
"service_unavailable"
],
"example": "service_unavailable",
"type": "string"
},
"details": {
"$ref": "#/components/schemas/PublicErrorDetailsDto"
},
"message": {
"example": "The service is temporarily unavailable.",
"type": "string"
},
"requestId": {
"example": "req_01J00000000000000000000000",
"type": "string"
}
},
"required": [
"code",
"message",
"requestId",
"details"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}403
application/json
{
"$ref": "#/components/schemas/PublicErrorResponseDto",
"properties": {
"error": {
"$ref": "#/components/schemas/PublicErrorBodyDto",
"properties": {
"code": {
"enum": [
"validation_failed",
"authentication_failed",
"authentication_required",
"reauthentication_required",
"permission_denied",
"resource_not_found",
"idempotency_conflict",
"target_account_unavailable",
"organization_owner_removal_conflict",
"organization_owner_role_conflict",
"organization_role_conflict",
"membership_conflict",
"invitation_conflict",
"invitation_expired",
"application_name_conflict",
"application_settings_version_conflict",
"environment_settings_version_conflict",
"app_user_version_conflict",
"channel_type_conflict",
"channel_type_version_conflict",
"channel_type_limit_reached",
"channel_conflict",
"channel_version_conflict",
"channel_membership_conflict",
"channel_membership_version_conflict",
"channel_membership_limit_reached",
"message_conflict",
"message_version_conflict",
"channel_read_state_conflict",
"thread_reply_limit_reached",
"message_reaction_type_not_allowed",
"message_reaction_limit_reached",
"thread_read_state_conflict",
"credential_limit_reached",
"credential_lifecycle_conflict",
"device_registration_conflict",
"device_registration_version_conflict",
"device_registration_limit_reached",
"attachment_upload_incomplete",
"attachment_not_ready",
"attachment_limit_reached",
"moderation_relationship_limit_reached",
"moderation_blocklist_limit_reached",
"moderation_case_resolution_conflict",
"message_moderation_rejected",
"retention_policy_version_conflict",
"data_job_not_cancelable",
"data_job_not_ready",
"data_job_limit_exceeded",
"webhook_endpoint_conflict",
"webhook_endpoint_version_conflict",
"webhook_endpoint_limit_reached",
"webhook_destination_rejected",
"webhook_secret_rotation_conflict",
"webhook_delivery_not_replayable",
"conflict",
"rate_limit_exceeded",
"internal_error",
"service_unavailable"
],
"example": "service_unavailable",
"type": "string"
},
"details": {
"$ref": "#/components/schemas/PublicErrorDetailsDto"
},
"message": {
"example": "The service is temporarily unavailable.",
"type": "string"
},
"requestId": {
"example": "req_01J00000000000000000000000",
"type": "string"
}
},
"required": [
"code",
"message",
"requestId",
"details"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}404
application/json
{
"$ref": "#/components/schemas/PublicErrorResponseDto",
"properties": {
"error": {
"$ref": "#/components/schemas/PublicErrorBodyDto",
"properties": {
"code": {
"enum": [
"validation_failed",
"authentication_failed",
"authentication_required",
"reauthentication_required",
"permission_denied",
"resource_not_found",
"idempotency_conflict",
"target_account_unavailable",
"organization_owner_removal_conflict",
"organization_owner_role_conflict",
"organization_role_conflict",
"membership_conflict",
"invitation_conflict",
"invitation_expired",
"application_name_conflict",
"application_settings_version_conflict",
"environment_settings_version_conflict",
"app_user_version_conflict",
"channel_type_conflict",
"channel_type_version_conflict",
"channel_type_limit_reached",
"channel_conflict",
"channel_version_conflict",
"channel_membership_conflict",
"channel_membership_version_conflict",
"channel_membership_limit_reached",
"message_conflict",
"message_version_conflict",
"channel_read_state_conflict",
"thread_reply_limit_reached",
"message_reaction_type_not_allowed",
"message_reaction_limit_reached",
"thread_read_state_conflict",
"credential_limit_reached",
"credential_lifecycle_conflict",
"device_registration_conflict",
"device_registration_version_conflict",
"device_registration_limit_reached",
"attachment_upload_incomplete",
"attachment_not_ready",
"attachment_limit_reached",
"moderation_relationship_limit_reached",
"moderation_blocklist_limit_reached",
"moderation_case_resolution_conflict",
"message_moderation_rejected",
"retention_policy_version_conflict",
"data_job_not_cancelable",
"data_job_not_ready",
"data_job_limit_exceeded",
"webhook_endpoint_conflict",
"webhook_endpoint_version_conflict",
"webhook_endpoint_limit_reached",
"webhook_destination_rejected",
"webhook_secret_rotation_conflict",
"webhook_delivery_not_replayable",
"conflict",
"rate_limit_exceeded",
"internal_error",
"service_unavailable"
],
"example": "service_unavailable",
"type": "string"
},
"details": {
"$ref": "#/components/schemas/PublicErrorDetailsDto"
},
"message": {
"example": "The service is temporarily unavailable.",
"type": "string"
},
"requestId": {
"example": "req_01J00000000000000000000000",
"type": "string"
}
},
"required": [
"code",
"message",
"requestId",
"details"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}429
application/json
{
"$ref": "#/components/schemas/PublicErrorResponseDto",
"properties": {
"error": {
"$ref": "#/components/schemas/PublicErrorBodyDto",
"properties": {
"code": {
"enum": [
"validation_failed",
"authentication_failed",
"authentication_required",
"reauthentication_required",
"permission_denied",
"resource_not_found",
"idempotency_conflict",
"target_account_unavailable",
"organization_owner_removal_conflict",
"organization_owner_role_conflict",
"organization_role_conflict",
"membership_conflict",
"invitation_conflict",
"invitation_expired",
"application_name_conflict",
"application_settings_version_conflict",
"environment_settings_version_conflict",
"app_user_version_conflict",
"channel_type_conflict",
"channel_type_version_conflict",
"channel_type_limit_reached",
"channel_conflict",
"channel_version_conflict",
"channel_membership_conflict",
"channel_membership_version_conflict",
"channel_membership_limit_reached",
"message_conflict",
"message_version_conflict",
"channel_read_state_conflict",
"thread_reply_limit_reached",
"message_reaction_type_not_allowed",
"message_reaction_limit_reached",
"thread_read_state_conflict",
"credential_limit_reached",
"credential_lifecycle_conflict",
"device_registration_conflict",
"device_registration_version_conflict",
"device_registration_limit_reached",
"attachment_upload_incomplete",
"attachment_not_ready",
"attachment_limit_reached",
"moderation_relationship_limit_reached",
"moderation_blocklist_limit_reached",
"moderation_case_resolution_conflict",
"message_moderation_rejected",
"retention_policy_version_conflict",
"data_job_not_cancelable",
"data_job_not_ready",
"data_job_limit_exceeded",
"webhook_endpoint_conflict",
"webhook_endpoint_version_conflict",
"webhook_endpoint_limit_reached",
"webhook_destination_rejected",
"webhook_secret_rotation_conflict",
"webhook_delivery_not_replayable",
"conflict",
"rate_limit_exceeded",
"internal_error",
"service_unavailable"
],
"example": "service_unavailable",
"type": "string"
},
"details": {
"$ref": "#/components/schemas/PublicErrorDetailsDto"
},
"message": {
"example": "The service is temporarily unavailable.",
"type": "string"
},
"requestId": {
"example": "req_01J00000000000000000000000",
"type": "string"
}
},
"required": [
"code",
"message",
"requestId",
"details"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}500
application/json
{
"$ref": "#/components/schemas/PublicErrorResponseDto",
"properties": {
"error": {
"$ref": "#/components/schemas/PublicErrorBodyDto",
"properties": {
"code": {
"enum": [
"validation_failed",
"authentication_failed",
"authentication_required",
"reauthentication_required",
"permission_denied",
"resource_not_found",
"idempotency_conflict",
"target_account_unavailable",
"organization_owner_removal_conflict",
"organization_owner_role_conflict",
"organization_role_conflict",
"membership_conflict",
"invitation_conflict",
"invitation_expired",
"application_name_conflict",
"application_settings_version_conflict",
"environment_settings_version_conflict",
"app_user_version_conflict",
"channel_type_conflict",
"channel_type_version_conflict",
"channel_type_limit_reached",
"channel_conflict",
"channel_version_conflict",
"channel_membership_conflict",
"channel_membership_version_conflict",
"channel_membership_limit_reached",
"message_conflict",
"message_version_conflict",
"channel_read_state_conflict",
"thread_reply_limit_reached",
"message_reaction_type_not_allowed",
"message_reaction_limit_reached",
"thread_read_state_conflict",
"credential_limit_reached",
"credential_lifecycle_conflict",
"device_registration_conflict",
"device_registration_version_conflict",
"device_registration_limit_reached",
"attachment_upload_incomplete",
"attachment_not_ready",
"attachment_limit_reached",
"moderation_relationship_limit_reached",
"moderation_blocklist_limit_reached",
"moderation_case_resolution_conflict",
"message_moderation_rejected",
"retention_policy_version_conflict",
"data_job_not_cancelable",
"data_job_not_ready",
"data_job_limit_exceeded",
"webhook_endpoint_conflict",
"webhook_endpoint_version_conflict",
"webhook_endpoint_limit_reached",
"webhook_destination_rejected",
"webhook_secret_rotation_conflict",
"webhook_delivery_not_replayable",
"conflict",
"rate_limit_exceeded",
"internal_error",
"service_unavailable"
],
"example": "service_unavailable",
"type": "string"
},
"details": {
"$ref": "#/components/schemas/PublicErrorDetailsDto"
},
"message": {
"example": "The service is temporarily unavailable.",
"type": "string"
},
"requestId": {
"example": "req_01J00000000000000000000000",
"type": "string"
}
},
"required": [
"code",
"message",
"requestId",
"details"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}503
application/json
{
"$ref": "#/components/schemas/PublicErrorResponseDto",
"properties": {
"error": {
"$ref": "#/components/schemas/PublicErrorBodyDto",
"properties": {
"code": {
"enum": [
"validation_failed",
"authentication_failed",
"authentication_required",
"reauthentication_required",
"permission_denied",
"resource_not_found",
"idempotency_conflict",
"target_account_unavailable",
"organization_owner_removal_conflict",
"organization_owner_role_conflict",
"organization_role_conflict",
"membership_conflict",
"invitation_conflict",
"invitation_expired",
"application_name_conflict",
"application_settings_version_conflict",
"environment_settings_version_conflict",
"app_user_version_conflict",
"channel_type_conflict",
"channel_type_version_conflict",
"channel_type_limit_reached",
"channel_conflict",
"channel_version_conflict",
"channel_membership_conflict",
"channel_membership_version_conflict",
"channel_membership_limit_reached",
"message_conflict",
"message_version_conflict",
"channel_read_state_conflict",
"thread_reply_limit_reached",
"message_reaction_type_not_allowed",
"message_reaction_limit_reached",
"thread_read_state_conflict",
"credential_limit_reached",
"credential_lifecycle_conflict",
"device_registration_conflict",
"device_registration_version_conflict",
"device_registration_limit_reached",
"attachment_upload_incomplete",
"attachment_not_ready",
"attachment_limit_reached",
"moderation_relationship_limit_reached",
"moderation_blocklist_limit_reached",
"moderation_case_resolution_conflict",
"message_moderation_rejected",
"retention_policy_version_conflict",
"data_job_not_cancelable",
"data_job_not_ready",
"data_job_limit_exceeded",
"webhook_endpoint_conflict",
"webhook_endpoint_version_conflict",
"webhook_endpoint_limit_reached",
"webhook_destination_rejected",
"webhook_secret_rotation_conflict",
"webhook_delivery_not_replayable",
"conflict",
"rate_limit_exceeded",
"internal_error",
"service_unavailable"
],
"example": "service_unavailable",
"type": "string"
},
"details": {
"$ref": "#/components/schemas/PublicErrorDetailsDto"
},
"message": {
"example": "The service is temporarily unavailable.",
"type": "string"
},
"requestId": {
"example": "req_01J00000000000000000000000",
"type": "string"
}
},
"required": [
"code",
"message",
"requestId",
"details"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}Contract source
This page is generated from artifacts/openapi/openapi.json. The dedicated endpoint folder documents authorization, validation, errors, consistency, idempotency, events, retries, and client reconciliation.